#include <stdio.h>
#include <stdlib.h>

int main()
{
    int br,i,a;
    long long int v;

    printf("V=");
    scanf("%lld",&v);

    br=0;
    i=0;
    while(v>0)
    {
        a=v%10;
        v=v/10;

        if(a==1 || a==2 || a==5)
            br=br+1;

        if(a==3 || a==4 || a==6 || a==7)
            br=br+2;

        if(a==8 || a==9)
            br=br+3;

        i++;
    }

    printf("%d",br);

    return 0;
}